-- 07/24/16 1.0.5 fix for treasures not hiding
-- 07/16/16 1.0.4 toc update for 7.0
-- 06/22/15 1.0.3 toc update for 6.2
-- 04/28/15 1.0.2 removed level 100 requirement
-- 02/24/15 1.0.1 toc update for 6.1
-- 11/24/14 1.0.0 initial release

-- this runs when the new menu option is clicked
local function click(self)
	local checked = self.checked
	PlaySound(checked and "igMainMenuOptionCheckBoxOn" or "igMainMenuOptionCheckBoxOff")
	ToggleTreasuresSettings = checked
	WorldMapFrame_Update()
end

hooksecurefunc("WorldMapTrackingOptionsDropDown_Initialize",function(self,level,menuList)
	if level==1 then
		-- if setting is nil (not defined) then define it to true to check by default
		if ToggleTreasuresSettings==nil then
			ToggleTreasuresSettings = true
		end
		-- add the "Show Treasures" option
		local info = UIDropDownMenu_CreateInfo()
		info.text = "Show Treasures"
		info.func = click
		info.checked = ToggleTreasuresSettings and true
		info.isNotRadio = true
		info.keepShownOnClick = 1
		UIDropDownMenu_AddButton(info)
	end
end)
-- need to re-initialize to pick up our hooked version of the function
UIDropDownMenu_Initialize(WorldMapFrameDropDown, WorldMapTrackingOptionsDropDown_Initialize, "MENU")

-- the heart of the addon; if ToggleTreasuresSettings is unchecked, then hide all "197" POIs
hooksecurefunc("WorldMapFrame_Update",function()
	if not ToggleTreasuresSettings then
		for i=1,GetNumMapLandmarks() do
			if select(4,GetMapLandmarkInfo(i))==197 then
				_G["WorldMapFramePOI"..i]:Hide()
			end
		end
	end
end)
